<?php
/**
* Customizer validation functions
*
* @package Theme Palace
* @subpackage Travel Master Pro
* @since Travel Master Pro 1.0.0
*/

if ( ! function_exists( 'travel_master_pro_validate_long_excerpt' ) ) :
  function travel_master_pro_validate_long_excerpt( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-master-pro' ) );
	 } elseif ( $value < 5 ) {
		 $validity->add( 'min_no_of_words', esc_html__( 'Minimum no of words is 5', 'travel-master-pro' ) );
	 } elseif ( $value > 100 ) {
		 $validity->add( 'max_no_of_words', esc_html__( 'Maximum no of words is 100', 'travel-master-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travel_master_pro_validate_slider_count' ) ) :
  function travel_master_pro_validate_slider_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-master-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travel-master-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'travel-master-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travel_master_pro_validate_featured_count' ) ) :
  function travel_master_pro_validate_featured_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-master-pro' ) );
	 } elseif ( $value < 4 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 4', 'travel-master-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'travel-master-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travel_master_pro_validate_popular_destination_count' ) ) :
  function travel_master_pro_validate_popular_destination_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-master-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travel-master-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'travel-master-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travel_master_pro_validate_traveler_choice_count' ) ) :
  function travel_master_pro_validate_traveler_choice_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-master-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travel-master-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'travel-master-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travel_master_pro_validate_service_count' ) ) :
  function travel_master_pro_validate_service_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-master-pro' ) );
	 } elseif ( $value < 3 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 3', 'travel-master-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'travel-master-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travel_master_pro_validate_blog_count' ) ) :
  function travel_master_pro_validate_blog_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-master-pro' ) );
	 } elseif ( $value < 2 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 2', 'travel-master-pro' ) );
	 } elseif ( $value > 12 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 12', 'travel-master-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travel_master_pro_validate_discover_places_count' ) ) :
  function travel_master_pro_validate_discover_places_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-master-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travel-master-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'travel-master-pro' ) );
	 }
	 return $validity;
  }
endif;

if ( ! function_exists( 'travel_master_pro_validate_testimonial_count' ) ) :
  function travel_master_pro_validate_testimonial_count( $validity, $value ){
		 $value = intval( $value );
	 if ( empty( $value ) || ! is_numeric( $value ) ) {
		 $validity->add( 'required', esc_html__( 'You must supply a valid number.', 'travel-master-pro' ) );
	 } elseif ( $value < 1 ) {
		 $validity->add( 'min_no_of_posts', esc_html__( 'Minimum no of posts is 1', 'travel-master-pro' ) );
	 } elseif ( $value > 10 ) {
		 $validity->add( 'max_no_of_posts', esc_html__( 'Maximum no of posts is 10', 'travel-master-pro' ) );
	 }
	 return $validity;
  }
endif;
